x1 = imread('FixedImage.tiff');
x2 = imread('MovedImage.tiff');
x3 = imread('NoRotate.tiff');
x4 = imread('Rotate.tiff');
x5 = imread('diffSSD.tiff');

r1 = 536;
r2 = 1296;
c1 = 670;
c2 = 1342;
 
x1 = x1(r1:r2, c1:c2 ,:);
x2 = x2(r1:r2, c1:c2 ,:);
x3 = x3(r1:r2, c1:c2 ,:);
x4 = x4(r1:r2, c1:c2 ,:);


% 
% keyboard;
y1 = zeros(size(x5), 'uint8');
y2 = zeros(size(x5), 'uint8');
y3 = zeros(size(x5), 'uint8');
y4 = zeros(size(x5), 'uint8');

for i = 1:3
    y1(:,:,i) = imresize(x1(:,:, i), [size(x5, 1) size(x5, 2)]);
end
for i = 1:3
    y2(:,:,i) = imresize(x2(:,:, i), [size(x5, 1) size(x5, 2)]);
end
for i = 1:3
    y3(:,:,i) = imresize(x3(:,:, i), [size(x5, 1) size(x5, 2)]);
end
for i = 1:3
    y4(:,:,i) = imresize(x4(:,:, i), [size(x5, 1) size(x5, 2)]);
end
y5 = x5;

figure; imshow(y1); saveas(gcf, 'FixedImage2.eps', 'psc2');
figure; imshow(y2); saveas(gcf, 'MovedImage2.eps', 'psc2');
figure; imshow(y3); saveas(gcf, 'NoRotate2.eps', 'psc2');
figure; imshow(y4); saveas(gcf, 'Rotate2.eps', 'psc2');
figure; imshow(y5); saveas(gcf, 'diffSSD2.eps', 'psc2');


close all;


